#!/bin/bash
# Original by https://github.com/sleeepyjack/dockersh
# Modified by georg@lysergic.dev
if [ -z "${HOST_USER_NAME}" -o -z "${HOST_USER_ID}" -o -z "${HOST_USER_GID}" ]; then
        echo "HOST_USER_NAME, HOST_USER_ID & HOST_USER_GID needs to be set!"; exit 100
fi

useradd \
      --uid ${HOST_USER_ID} \
      --gid ${HOST_USER_GID} \
      --create-home \
      --shell /bin/bash \
      ${HOST_USER_NAME}
groupadd --gid "${HOST_USER_GID}" "${HOST_USER_NAME}"
usermod -aG sudo ${HOST_USER_NAME}
sleep 5s

echo ${HOST_USER_NAME}:${HOST_USER_NAME} | chpasswd

exec su - "${HOST_USER_NAME}"

